---
title: Transferring Data betweem PSI and CSCS
#tags:
keywords: CSCS, data-transfer
last_updated: 02 March 2022
summary: "This Document shows the procedure for transferring data between CSCS and PSI"
sidebar: CSCS_sidebar
permalink: /CSCS/transfer-data.html
---

# Transferring Data 

This document shows how to transfer data between PSI and CSCS by using a Linux workstation.

## Preparing SSH configuration

If the directory **`.ssh`** does not exist in your home directory, create it with **`0700`** permissions:

```bash
mkdir ~/.ssh
chmod 0700 ~/.ssh
```

Then, if it does not exist, create a new file **`.ssh/config`**, otherwise add the following lines
to the already existing file, by replacing **`$cscs_accountname`** by your CSCS `username`:

```bash
Host daint.cscs.ch
  Compression yes
  ProxyJump ela.cscs.ch
Host *.cscs.ch
  User $cscs_accountname
```

### Advanced SSH configuration

There are many different SSH settings available which would allow advanced configurations.
Users may have some configurations already present, therefore would need to adapt it accordingly.


## Transferring files

Once the above configuration is set, then try to rsync from Merlin to CSCS, on any direction:

```bash
# CSCS -> PSI
rsync -azv daint.cscs.ch:<source_path> <destination_path>

# PSI  -> CSCS
rsync -azv <source_path> daint.cscs.ch:<destination_path>
```

