---
title: Connecting from a Windows Client
keywords: microsoft, mocosoft, windows, putty, xming, connecting, client, configuration, SSH, X11
last_updated: 07 September 2022
summary: "This document describes a recommended setup for a Windows client."
sidebar: merlin6_sidebar
permalink: /merlin6/connect-from-windows.html
---

## SSH with PuTTY without X11 Forwarding

PuTTY is one of the most common tools for SSH.

Check, if the following software packages are installed on the Windows workstation by 
inspecting the *Start* menu (hint: use the *Search* box to save time):
* PuTTY (should be already installed)
* *[Optional]* Xming (needed for [SSH with X11 Forwarding](/merlin6/connect-from-windows.html#ssh-with-x11-forwarding))

If they are missing, you can install them using the Software Kiosk icon on the Desktop.

1. Start PuTTY

2. *[Optional]* Enable ``xterm`` to have similar mouse behavour as in Linux:

   ![Enable 'xterm']({{ "/images/PuTTY/Putty_Mouse_XTerm.png" }})

3. Create session to a Merlin login node and *Open*:

   ![Create Merlin Session]({{ "/images/PuTTY/Putty_Session.png" }})


## SSH with PuTTY with X11 Forwarding

Official X11 Forwarding support is through NoMachine. Please follow the document
[{Job Submission -> Interactive Jobs}](/merlin6/interactive-jobs.html#Requirements) and
[{Accessing Merlin -> NoMachine}](/merlin6/nomachine.html) for more details. However,
we provide a small recipe for enabling X11 Forwarding in Windows.

Check, if the **Xming** is installed on the Windows workstation by inspecting the 
*Start* menu (hint: use the *Search* box to save time). If missing, you can install it by
using the Software Kiosk icon (should be located on the Desktop). 

1. Ensure that a X server (**Xming**) is running. Otherwise, start it.

2. Enable X11 Forwarding in your SSH client. In example, for Putty:

   ![Enable X11 Forwarding in Putty]({{ "/images/PuTTY/Putty_X11_Forwarding.png" }})
