---
title: Slurm Basic Commands
#tags:
keywords: sinfo, squeue, sbatch, srun, salloc, scancel, sview, seff, sjstat, sacct, basic commands, slurm commands, cluster
last_updated: 07 September 2022
#summary: ""
sidebar: merlin6_sidebar
permalink: /merlin6/slurm-basics.html
---

In this document some basic commands for using Slurm are showed. Advanced examples for some of these
are explained in other Merlin6 Slurm pages. You can always use ```man <command>``` pages for more
information about options and examples.

## Basic commands

Useful commands for the slurm:

```bash
sinfo            # to see the name of nodes, their occupancy, 
                 # name of slurm partitions, limits (try out with "-l" option)
squeue           # to see the currently running/waiting jobs in slurm 
                 # (additional "-l" option may also be useful)
sbatch Script.sh # to submit a script (example below) to the slurm.
srun <command>   # to submit a command to Slurm. Same options as in 'sbatch' can be used.
salloc           # to allocate computing nodes. Use for interactive runs.
scancel job_id   # to cancel slurm job, job id is the numeric id, seen by the squeue.
sview            # X interface for managing jobs and track job run information.
seff             # Calculates the efficiency of a job
sjstat           # List attributes of jobs under the SLURM control
sacct            # Show job accounting, useful for checking details of finished jobs.
```

---

## Advanced basic commands:

```bash
sinfo -N -l      # list nodes, state, resources (#CPUs, memory per node, ...), etc.
sshare -a        # to list shares of associations to a cluster
sprio -l         # to view the factors that comprise a job's scheduling priority 
                 # add '-u <username>' for filtering user
```

## Show information for specific cluster

By default, any of the above commands shows information of the local cluster which is ***merlin6**.

If you want to see the same information for **merlin5** you have to add the parameter ``--clusters=merlin5``.
If you want to see both clusters at the same time, add the option ``--federation``.

Examples:

```bash
sinfo                      # 'sinfo' local cluster which is 'merlin6'
sinfo --clusters=merlin5   # 'sinfo' non-local cluster 'merlin5'
sinfo --federation         # 'sinfo' all clusters which are 'merlin5' & 'merlin6'
squeue                     # 'squeue' local cluster which is 'merlin6'
squeue --clusters=merlin5  # 'squeue' non-local cluster 'merlin5'
squeue --federation        # 'squeue' all clusters which are 'merlin5' & 'merlin6'
```

---
