---
title: FAQ
#tags:
keywords: faq, frequently asked questions, support
last_updated: 27 October 2022
#summary: ""
sidebar: merlin6_sidebar
permalink: /merlin6/faq.html
---

{%include toc.html %}

## How do I register for Merlin?

See [Requesting Merlin Access](/merlin6/request-account.html).

## How do I get information about downtimes and updates?

See [Get updated through the Merlin User list!](/merlin6/contact.html#get-updated-through-the-merlin-user-list)

## How can I request access to a Merlin project directory?

Merlin projects are placed in the `/data/project` directory. Access to each project is controlled by Unix group membership.
If you require access to an existing project, please request group membership as described in [Requesting Unix Group Membership](/merlin6/request-project.html#requesting-unix-group-membership).

Your project leader or project colleagues will know what Unix group you should belong to. Otherwise, you can check what Unix group is allowed to access that project directory (simply run `ls -ltrhd` for the project directory).

## Can I install software myself?

Most software can be installed in user directories without any special permissions. We recommend using `/data/user/$USER/bin` for software since home directories are fairly small. For software that will be used by multiple groups/users you can also [request the admins](/merlin6/contact.html) install it as a [module](/merlin6/using-modules.html).

How to install depends a bit on the software itself. There are three common installation procedures:

1. *binary distributions*. These are easy; just put them in a directory (eg `/data/user/$USER/bin`) and add that to your PATH.
2. *source compilation* using make/cmake/autoconfig/etc. Usually the compilation scripts accept a `--prefix=/data/user/$USER` directory for where to install it. Then they place files under `<prefix>/bin`, `<prefix>/lib`, etc. The exact syntax should be documented in the installation instructions.
3. *conda environment*. This is now becoming standard for python-based software, including lots of the AI tools. First follow the [initial setup instructions](/merlin6/python.html#anaconda) to configure conda to use /data/user instead of your home directory. Then you can create environments like:

```
module load anaconda/2019.07
# if they provide environment.yml
conda env create -f environment.yml

# or to create manually
conda create --name myenv python==3.9 ...

conda activate myenv
```

## Something doesn't work

Check the list of [known problems](/merlin6/known-problems.html) to see if a solution is known.
If not, please [contact the admins](/merlin6/contact.html).
