---
title: Troubleshooting
#tags:
keywords: troubleshooting, problems, faq, known problems
last_updated: 07 September 2022
#summary: ""
sidebar: merlin6_sidebar
permalink: /merlin6/troubleshooting.html
---

For troubleshooting, please contact us through the official channels. See [Contact](/merlin6/contact.html) 
for more information. 

## Known Problems

Before contacting us for support, please check the **[Merlin6 Support: Known Problems](/merlin6/known-problems.html)** page to see if there is an existing
workaround for your specific problem.

## Troubleshooting Slurm Jobs

If you want to report a problem or request for help when running jobs, please **always provide**
the following information:

1. Provide your batch script or, alternatively, the path to your batch script.
2. Add **always** the following commands to your batch script

   ```bash
   echo "User information:"; who am i
   echo "Running hostname:"; hostname
   echo "Current location:"; pwd
   echo "User environment:"; env
   echo "List of PModules:"; module list
   ``` 

3. Whenever possible, provide the Slurm JobID.

Providing this information is **extremely important** in order to ease debugging, otherwise
only with the description of the issue or just the error message is completely insufficient
in most cases.

## Troubleshooting SSH

Use the ssh command with the "-vvv" option and copy and paste (no screenshots please)
the output to your request in Service-Now.  Example

```bash
ssh -Y -vvv $username@merlin-l-01.psi.ch
```
