---
title: Accessing Interactive Nodes
#tags:
keywords: How to, HowTo, access, accessing, nomachine, ssh
last_updated: 07 September 2022
#summary: ""
sidebar: merlin7_sidebar
permalink: /merlin7/interactive.html
---

## SSH Access

For interactive command shell access, use an SSH client. We recommend to activate SSH's X11 forwarding to allow you to use graphical 
applications (e.g. a text editor, but for more performant graphical access, refer to the sections below). X applications are supported 
in the login nodes and X11 forwarding can be used for those users who have properly configured X11 support in their desktops, however:

* Merlin7 administrators **do not offer support** for user desktop configuration (Windows, MacOS, Linux).
   * Hence, Merlin7 administrators **do not offer official support** for X11 client setup.
   * Nevertheless, a generic guide for X11 client setup (*Linux*, *Windows* and *MacOS*) is provided below.
* PSI desktop configuration issues must be addressed through  **[PSI Service Now](https://psi.service-now.com/psisp)** as an *Incident Request*.
   * Ticket will be redirected to the corresponding Desktop support group (Windows, Linux).

### Accessing from a Linux client

Refer to [{How To Use Merlin -> Accessing from Linux Clients}](/merlin7/connect-from-linux.html) for **Linux** SSH client and X11 configuration.

### Accessing from a Windows client

Refer to [{How To Use Merlin -> Accessing from Windows Clients}](/merlin7/connect-from-windows.html) for **Windows** SSH client and X11 configuration.

### Accessing from a MacOS client

Refer to [{How To Use Merlin -> Accessing from MacOS Clients}](/merlin7/connect-from-macos.html) for **MacOS** SSH client and X11 configuration.

## NoMachine Remote Desktop Access

X applications are supported in the login nodes and can run efficiently through a **NoMachine** client. This is the officially supported way to run more demanding X applications on Merlin7. 
* For PSI Windows workstations, this can be installed from the Software Kiosk as 'NX Client'. If you have difficulties installing, please request support through **[PSI Service Now](https://psi.service-now.com/psisp)** as an *Incident Request*.
* For other workstations The client software can be downloaded from the [Nomachine Website](https://www.nomachine.com/product&p=NoMachine%20Enterprise%20Client).

### Configuring NoMachine

Refer to [{How To Use Merlin -> Remote Desktop Access}](/merlin7/nomachine.html) for further instructions of how to configure the NoMachine client and how to access it from PSI and from outside PSI.

## Login nodes hardware description

The Merlin7 login nodes are the official machines for accessing the recources of Merlin7.
From these machines, users can submit jobs to the Slurm batch system as well as visualize or compile their software.

The Merlin7 login nodes are the following:

| Hostname                | SSH | NoMachine | Scratch  | Scratch Mountpoint  |
| ----------------------- | --- | --------- | -------- | :------------------ |
| login001.merlin7.psi.ch | yes | yes       | 1TB NVMe | ``/scratch``        |
| login002.merlin7.psi.ch | yes | yes       | 1TB NVMe | ``/scratch``        |
